package net.northking.cctp.common.util.excelUtil.excelEntity;

import java.util.List;
import java.util.Map;

/**
 * 模板填充配置
 * @Author: chaoyi.zhang
 * @Date: 2020/8/22 0022
 */
public class ExcelDataTemplate {
    /**
     * sheet页下标
     */
    private Integer sheetAt;
    /**
     * 起始行
     */
    private Integer startRow;

    /**
     * 结束行_如果为0则表示以数据源行数为准，否则以结束行为准
     */
    private Integer endRow;

    /**
     * 起始列
     */
    private String startColumn;

    /**
     * 结束列
     */
    private String endColumn;

    /**
     * 区域内数据
     */
    private List<Map<String,Object>> dataSource;

    /**
     * 栏位表头
     * @return
     */
    private List<ExcelHead> headList;

    private Long timeAll;

    private Long timeMer;

    public Integer getSheetAt() {
        return sheetAt;
    }

    public void setSheetAt(Integer sheetAt) {
        this.sheetAt = sheetAt;
    }

    public Integer getStartRow() {
        return startRow;
    }

    public void setStartRow(Integer startRow) {
        this.startRow = startRow;
    }

    public Integer getEndRow() {
        return endRow;
    }

    public void setEndRow(Integer endRow) {
        this.endRow = endRow;
    }

    public String getStartColumn() {
        return startColumn;
    }

    public void setStartColumn(String startColumn) {
        this.startColumn = startColumn;
    }

    public String getEndColumn() {
        return endColumn;
    }

    public void setEndColumn(String endColumn) {
        this.endColumn = endColumn;
    }

    public List<Map<String, Object>> getDataSource() {
        return dataSource;
    }

    public void setDataSource(List<Map<String, Object>> dataSource) {
        this.dataSource = dataSource;
    }

    public List<ExcelHead> getHeadList() {
        return headList;
    }

    public void setHeadList(List<ExcelHead> headList) {
        this.headList = headList;
    }

    public Long getTimeAll() {
        return timeAll;
    }

    public void setTimeAll(Long timeAll) {
        this.timeAll = timeAll;
    }

    public Long getTimeMer() {
        return timeMer;
    }

    public void setTimeMer(Long timeMer) {
        this.timeMer = timeMer;
    }
}
